org.springframework.data.spel

## Interface ReactiveEvaluationContextProvider

All Superinterfaces:
  EvaluationContextProvider

All Known Implementing Classes:
  ReactiveExtensionAwareEvaluationContextProvider

    public interface ReactiveEvaluationContextProvider
    extends EvaluationContextProvider

Provides a way to access a centrally defined potentially shared `EvaluationContext`.

Since:
  2.4
Author:
  Mark Paluch

### Field Summary

### Fields inherited from interface org.springframework.data.spel.EvaluationContextProvider

`DEFAULT`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`reactor.core.publisher.Mono<? extends EvaluationContext>` `getEvaluationContextLater(Object rootObject)` Return a `EvaluationContext` built using the given parameter values.
`default reactor.core.publisher.Mono<? extends EvaluationContext>` `getEvaluationContextLater(Object rootObject, ExpressionDependencies dependencies)` Return a tailored `EvaluationContext` built using the given parameter values and considering `expression dependencies`.

### Methods inherited from interface org.springframework.data.spel.EvaluationContextProvider

`getEvaluationContext, getEvaluationContext`

### Method Detail

#### getEvaluationContextLater

    reactor.core.publisher.Mono<? extends EvaluationContext> getEvaluationContextLater(Object rootObject)

Return a `EvaluationContext` built using the given parameter values.

Parameters:
  `rootObject` - the root object to set in the `EvaluationContext`.
Returns:
  a mono that emits exactly one `EvaluationContext`.

#### getEvaluationContextLater

    default reactor.core.publisher.Mono<? extends EvaluationContext> getEvaluationContextLater(Object rootObject,
                                                                                               ExpressionDependencies dependencies)

Return a tailored `EvaluationContext` built using the given parameter values and considering `expression dependencies`. The returned `EvaluationContext` may contain a reduced visibility of methods and properties/fields according to the required `expression dependencies`.

Parameters:
  `rootObject` - the root object to set in the `EvaluationContext`.
  `dependencies` - the requested expression dependencies to be available.
Returns:
  a mono that emits exactly one `EvaluationContext`.
Since:
  2.4